<?php //***************

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

if (stristr(htmlentities($_SERVER['PHP_SELF']), "inc_banners.php")) {
	die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
}

/*
Defalt positions:
1: Header (468*60)
2: Footer (468*60)
3: Nav (120*X)
4: Extra (160*X)
5: Guide (250*250)
*/

function showBanner($banpos) {
	global $dblink;

	$banpos = intval($banpos);
	
	if ($row = $dblink->get_row("SELECT id FROM memht_banners_banner WHERE enabled=1 AND posizione=$banpos ORDER BY RAND() LIMIT 1")) {
		showBannerId(intval($row['id']));
	}
}

function showBannerId($id) {
	global $dblink,$userid;

	$id = intval($id);
	
	if ($banner = $dblink->get_row("SELECT * FROM memht_banners_banner WHERE id=$id")) {
		//$posizione = intval($banner['posizione']);
		$tipo = intval($banner['tipo']); //0=image/1=content
		$contenuto = stripslashes($banner['contenuto']);
		$b_link_click = intval($banner['link_click']);
		$b_imp_done = intval($banner['imp_done']);
		$b_imp_target = intval($banner['imp_target']);
		
		if (!isAuth($userid,3)) { $dblink->query("UPDATE memht_banners_banner SET imp_done=imp_done+1 WHERE id=$id"); }
			
		if ($b_link_click==0 AND $b_imp_done>=$b_imp_target AND $b_imp_target!=0) {
			$dblink->query("UPDATE memht_banners_banner SET enabled=0 WHERE id=$id");
			sendBannerEnd($id);
		}
		
		if ($tipo==0) {
			$titolo = outCode($banner['titolo']);
			$url = outCode($banner['url']);
			$dim_x = intval($banner['dim_x']);
			$dim_y = intval($banner['dim_y']);
			
			echo "<a href='index.php?page=banners&op=openBanner&id=$id' title='$titolo' target='_blank'><img src='$contenuto' width='$dim_x' height='$dim_y' title='$titolo' alt='$titolo' border='0'></a>";
		} else if ($tipo==1) {
			echo $contenuto;
		}
	}
}

function sendBannerEnd($id) {
	global $dblink,$siteConfig;
	
	$id = intval($id);
	
	$banner = $dblink->get_row("SELECT * FROM memht_banners_banner WHERE id=$id");
	$cliente = intval($banner['cliente']);
	$contenuto = stripslashes($banner['contenuto']);
	$url = outCode($banner['url']);
	$imp_done = intval($banner['imp_done']);
	$click_done = intval($banner['click_done']);
	
	$banner2 = $dblink->get_row("SELECT * FROM memht_banners_clienti WHERE id=$cliente");
	$nome = outCode($banner2['nome']);
	$email = outCode($banner2['email']);
	
	$subject = $siteConfig['site_name']." - End of the advertising campaign";
	$msg = "$subject\n\n";
	$msg .= "Hi $nome\n";
	$msg .= "Your advertising campaign on ".$siteConfig['site_name']." has ended for the following banner:\n\n";
	$msg .= "Content: $contenuto\n";
	$msg .= "Link: $url\n\n";
	$msg .= "Campaign statistics:\n";
	$msg .= "Impressions: $imp_done\n";
	$msg .= "Clicks: $click_done\n\n";
	$msg .= $siteConfig['site_name']."\n";
	$msg .= $siteConfig['site_url']."\n\n";
	
	sendEmail($email,$subject,$msg,$siteConfig['site_name'],$siteConfig['webmaster_mail'],0);
	sendEmail($siteConfig['webmaster_mail'],$subject,$msg,$siteConfig['site_name'],$siteConfig['webmaster_mail'],0);
}

?>